#!/bin/bash
#
# Copyright 2008 Jonathan Overholt <jonathan@overholt.org>
# http://www.overholt.org/jonathan/
#

if [[ "x$1" == "x" ]]; then
  echo "Scans files passed in for \r\n line endings, outputting the names"
  echo "of matching files."
  echo ""
  echo "USAGE: $0 filename [filename [...]]"
  echo ""
  exit 1
fi

while [[ "x$1" != "x" ]]; do
  if [[ ! -f "$1" ]]; then
    shift
    continue
  fi

  cat "$1" | perl -e 'while(<>) { if(/\r\n/){exit(0);} } exit(1);'
  if [[ $? == 0 ]]; then
    echo "$1"
  fi

  shift
done

